%define _debugsource_template %{nil}

%global srcname rpds-py
%global modname rpds_py

Summary:    Python bindings to Rust's persistent data structures (rpds).
Name:       python-%{srcname}
Version:    0.18.1
Release:    1%{?dist}
License:    MIT
URL:        https://github.com/crate-py/rpds
Source0:    %{pypi_source %{modname}}
# generate it by these steps:
# tar zxf %%{SOURCE0}; cd %%{modname}-%%{version}; cargo vendor; tar zcf cargo-vendor-cache vendor;
Source1:    cargo-vendor-cache

BuildRequires:  rust-packaging
BuildRequires:  python3-devel python3-setuptools python3-pbr
BuildRequires:  python3-pip python3-wheel python3-hatchling python3-maturin

%description
Python bindings to Rust's persistent data structures (rpds).


%package -n python3-%{srcname}
Summary:    Python bindings to Rust's persistent data structures (rpds).
BuildRequires:    python3-devel python3-setuptools python3-hatchling

%description -n python3-%{srcname}
Python bindings to Rust's persistent data structures (rpds).

%prep
%autosetup -n %{modname}-%{version}
tar xzvf %{SOURCE1} -C .
mkdir .cargo
cat >> .cargo/config.toml << EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitearch}/rpds
%{python3_sitearch}/%{modname}*.dist-info/

%changelog
* Wed Jun 12 2024 Shuo Wang <abushwang@tencent.com> - 0.18.1-1
- initial build
